CVE-2004-2636
CVSS5.0
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:44:41
NMCOE    

[原文]TinyWeb 1.9 allows remote attackers to read source code of scripts via "/./" in the URL.


[CNNVD]Rit Research Labs TinyWeb Server未授权脚本泄露漏洞(CNNVD-200412-904)

        
        Rit Research Labs TinyWeb Server是一款小型WEB服务程序。
        Rit Research Labs TinyWeb Server不正确限制对部分脚本的限制,远程攻击者可以利用这个漏洞获得部分敏感信息。
        由于WEB服务对URI请求存在输入验证错误,攻击者可以下载或查看'cgi-bin'目录下的脚本,直接访问可获得敏感信息。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2636
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2636
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-904
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/16275
(UNKNOWN)  XF  tinyweb-get-download-scripts(16275)
http://www.securityfocus.com/bid/10445/info
(UNKNOWN)  BID  10445
http://www.osvdb.org/6517
(UNKNOWN)  OSVDB  6517
http://securitytracker.com/alerts/2004/May/1010346.html
(UNKNOWN)  SECTRACK  1010346
http://secunia.com/advisories/11731
(VENDOR_ADVISORY)  SECUNIA  11731

- 漏洞信息

Rit Research Labs TinyWeb Server未授权脚本泄露漏洞
中危 输入验证
2004-12-31 00:00:00 2005-12-21 00:00:00
远程  
        
        Rit Research Labs TinyWeb Server是一款小型WEB服务程序。
        Rit Research Labs TinyWeb Server不正确限制对部分脚本的限制,远程攻击者可以利用这个漏洞获得部分敏感信息。
        由于WEB服务对URI请求存在输入验证错误,攻击者可以下载或查看'cgi-bin'目录下的脚本,直接访问可获得敏感信息。
        

- 公告与补丁

        厂商补丁:
        Rit Research Labs
        -----------------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.ritlabs.com/en/products/tinyweb/

- 漏洞信息 (24164)

Rit Research Labs TinyWeb 1.9.2 Unauthorized Script Disclosure Vulnerability (EDBID:24164)
cgi webapps
2004-06-01 Verified
0 Ziv Kamir
N/A [点击下载]
source: http://www.securityfocus.com/bid/10445/info

TinyWeb Server is affected by an unauthorized script disclosure vulnerability. This issue is due to an input validation error that allows malicious users to bypass standard web server rules.

This issue will allow an attacker to download or view scripts residing in the 'cgi-bin' directory.

This issue is reported to affect TinyWeb 1.92, it is likely that other versions are also vulnerable. 

http://www.example.com/./cgi-bin/targetfile 		

- 漏洞信息

6517
TinyWEB cgi-bin Arbitrary File/Directory Access
Remote / Network Access Information Disclosure
Loss of Confidentiality

- 漏洞描述

TinyWeb contains a flaw that may lead to an unauthorized information disclosure. The issue is triggered when input is not properly validated, which will disclose the content of the cgi-bin directory, resulting in a loss of confidentiality.

- 时间线

2004-06-01 2004-06-01
2004-06-01 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站